GPS Plugin non-functional (OS X) for Serial Bus/Com port units

2008-07-18 10:33 AM - John Tull

Status: Closed

Priority: Low

Assignee:

Category: C++ plugins/GPS plugin

Affected QGIS version:master Regression?: No

Operating System: OS X Easy fix?: No

Pull Request or Patch supplied:No Resolution: no timely feedback

Crashes QGIS or corrupts data:No Copied to github as #: 11230

Description

Windows:

When trying to download or upload gpx information from/to a GPS device, nothing happens (error reported about invalid layer when

downloading). In order to get gpx download or upload support, you have to manually code the path to the gpx file in the GPS Device

settings. E.g., to get a waypoint layer loaded from the GPS device, I have to click on the device settings, go to waypoint download and

make the line look like this:

%babel -i garmin -o gpx -f com4 -F "C:\\Documents and Settings\\User Name\\Desktop\\test.gpx" You have to hit "update device" to get

this setting to stick. Then I have to fill in the "Save as" box in the main GPS tools dialog with the path to the above test.gpx file. I tell qgis to

call the new layer "test", but anything will work here.

OS X:

In OS X, nothing shows up under Port, so you have to code the port into the device settings. In my case, with a serial to usb device, I

replace %in (for a download from gps device) with -f /dev/cu.usbserial-ftCASM51. I also had to add -F before %out to get the transfer to

actually save the gpx file to disk. (I'm thinking that -F should be added to the %out or %in strings in the C++ code for this plugin.)

Possibly a dev can test this with gps emulation software. The only link for Windows I found was a commercial software with a 14-day free

trial called gpsgate.

History

#1 - 2009-04-21 08:15 AM - Paolo Cavallini

Still true?

#2 - 2009-07-03 05:00 AM - Giovanni Manghi

Windows:

what version/installer and gps unit did you used?

With the OSGeo4W installer (that installs also gpsbabel) and a Garmin usb unit (gpsmap 60c) it is very straighforward. Just plug the gps unit and qgis will

make the connection without the need to change any of the configuration parameters.

Please give feedback.

#3 - 2009-07-11 03:46 AM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to worksforme
Works for me under windows, garmin usb gps, qgis/gpsbabel installed from osgeo4w. Works also under linux.

Feel free to reopen the ticket if there are still issues under Mac.

#4 - 2009-07-13 08:35 PM - John Tull

- Resolution deleted (worksforme)

- Status changed from Closed to Feedback

I'm reopening this and renaming to reflect serial bus usage. If someone can verify that using a serial bus gps unit works, then let's call it done. Otherwise, I

think there are problems with com ports/serial bus that have not been resolved. Note that this is not just a Windows problem despite the platform selection

in the bug report.

#5 - 2009-07-14 12:13 AM - Giovanni Manghi

Replying to [comment:4 jctull]:

. Note that this is not just a Windows problem despite the platform selection in the bug report.

Hi, I cannot test the OsX platform, but I can test a serial gps under windows. I'll let you know.

#6 - 2009-07-15 02:48 AM - Giovanni Manghi

Replying to [comment:4 jctull]:

I'm reopening this and renaming to reflect serial bus usage. If someone can verify that using a serial bus gps unit works, then let's call it done.

Otherwise, I think there are problems with com ports/serial bus that have not been resolved. Note that this is not just a Windows problem despite the

platform selection in the bug report.

I tested a Garmin eTrex serial GPS unit, used Windows XP, qgis 1.0.2 and 1.2 installed with osgeo4w AND gpsbabel installed also with osgeo4w. It works

out of the box with no need of making any change in the configuration of the devices ("edit devices").

I cannot make tests with OsX as I don't have a Mac and I don't know any person that has one and can let me try qgis.

#7 - 2009-07-15 07:07 AM - William Kyngesburye

I had mixed luck with this a few years ago.  I used to build my own gpsbabel + libusb on OSX because there was no other CLI build available.  Now I

bundle the "official" CLI build in the OSX Qgis, but it's unclear whether they include libusb support.

I have access at work to an old Garmin serial GPS I can try.

#8 - 2009-07-15 07:10 AM - Giovanni Manghi

Replying to [comment:7 kyngchaos]:

I have access at work to an old Garmin serial GPS I can try.
thanks, let us know.

#9 - 2010-06-11 11:06 AM - Paolo Cavallini

It is this still true? Please check and confirm, or close it.

#10 - 2010-06-11 11:59 AM - John Tull

This still does not work on OS X Snow Leopard with latest trunk build of qgis.

#11 - 2010-06-11 12:46 PM - William Kyngesburye

Well, I can't look into this.  Looks like our old serial GPS unit at work died, so I have no way to check it out.

#12 - 2011-03-02 01:12 PM - John Tull

This problem persists on OS X.

#13 - 2011-12-16 01:59 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#14 - 2012-02-01 06:03 PM - Larry Shaffer

- Crashes QGIS or corrupts data set to No

- Affected QGIS version set to master

I can confirm for both 1.7.4RC and latest master that the field for serial device in GPS Tracking is always blank, regardless of whether there is a valid and

working /dev serial port. If I hard-code the /dev/cu... path in, then it works, but only for serial GPS interfaces. I've had zero luck with solely-USB connections

(with regards to the Tracking feature).

However, the venerable GPS Tools plugin still works fine, even with the solely-USB connected GPS, because I can hard-code the binary path for

gpsbabel in the 'Devices' configurations (can't get QGIS to auto-find gpsbabel, regardless of where I put it). So, it appears that the Tracking tool doesn't

interface with gpsbabel, but then gpsbabel doesn't do well with live tracking over USB anyways.

There are other libraries out there, as live tracking for the latest USB Garmins, etc. is working.  macgpspro.com has it working, though that's proprietary

software.

#15 - 2012-02-01 06:04 PM - Larry Shaffer

Sorry, my report was for Mac Snow Leopard and Lion, QT 4.7.4 and python 2.6.

#16 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#17 - 2012-09-04 12:03 PM - Paolo Cavallini
- Target version changed from Version 1.8.0 to Version 2.0.0

#18 - 2013-01-04 11:10 AM - Giovanni Manghi

- Assignee deleted (nobody -)

- Status info deleted (0)

- Pull Request or Patch supplied set to No

This new QGIS study

http://www.qgis.org/en/community/qgis-case-studies/new-brunswick-canada.html

seems to show that the GPS plugin is functional under OsX, what is the status of this issue?

#19 - 2014-06-28 07:37 AM - Jürgen Fischer

- Target version changed from Version 2.0.0 to Future Release - Lower Priority

#20 - 2014-06-29 06:40 AM - Jürgen Fischer

- Category changed from C++ Plugins to C++ plugins/GPS plugin

#21 - 2015-10-19 02:55 AM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to not reproducable

closing for the lack of feedback

#22 - 2016-07-29 06:42 PM - Brian Marriott

- File Serial_port_drop-down_CoolTerm.png added

- File Serial_Port_drop-down_QGIS.png added

- Status changed from Closed to Reopened

Re-opening this because the issue described by Larry Shaffer at #note-14 above is still present for me.

I'm using Mac OS X 10.11.6 (15G31), and it shows on both the LTS version (2.14.3-Essen) and the most recently available nightly build from Dakota

Cartography (QGIS_2-99-0_2016-07-16_cd3f540).

Symptom is that the drop-down to select the serial port of the GPS appears to be empty, even after a refresh. The reality is that, while it isn't showing any

text, each (empty) line is associated with a serial port and is selectable.  If you select the right one, you'll link to the GPS. (It looks to me like the text in the

drop-down is being extracted from the wrong source in the serial device object.)

I've attached two screen captures - one from QGIS and another from a simple terminal program (CoolTerm). Both show drop-downs populated from the

same list of serial ports. If I use the list in CoolTerm to guide which empty line in the QGIS drop-down to select, I can reliably select my GPS serial device.

#23 - 2017-05-01 01:09 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#24 - 2018-10-12 07:42 AM - Paolo Cavallini

- Description updated
Still true?

#25 - 2018-10-12 10:59 AM - Giovanni Manghi

- Status changed from Reopened to Feedback

- Resolution deleted (not reproducable)

#26 - 2019-01-02 01:28 PM - Jürgen Fischer

- Status changed from Feedback to Closed

- Resolution set to no timely feedback

Files

Serial_Port_drop-down_QGIS.png 11.4 KB 2016-07-29 Brian Marriott

Serial_port_drop-down_CoolTerm.png 18.1 KB 2016-07-29 Brian Marriott

2025-06-07 5/5


